Software Center - Software "not available for your current Ubuntu version"

Asked by SIG on 2012-12-03

There are a couple of games that I bought from the Ubuntu Software Center a while back, and I wanted to try them out in elementary OS, but I'm unable to do so. In the Software Center, on the page of every one of those games, it says the following:

Purchased on [date] but not available for your current Ubuntu version. Please contact the vendor for an update.

Is there a way to fix this?

Thanks.

Question information

Language:
English Edit question
Status:
Solved
For:
elementary OS Edit question
Assignee:
No assignee Edit question
Solved by:
SIG
Solved:
2012-12-06
Last query:
2012-12-06
Last reply:
2012-12-04
David Gomes (davidgomes) said : #1

What package was it? I'd like to know a free as in free beer example of a package that gives this.

SIG (s-i-g) said : #2

I've only encountered this issue with games that I've purchased, like Amensia: The Dark Descent, Braid, or Limbo. So far, I've yet to encounter this issue when dealing with free software.

Damien (youpla-b) said : #3

Yep, it's a bug https://bugs.launchpad.net/elementaryos/+bug/1084529
David Gomes you can try with the free application Nitro, https://apps.ubuntu.com/cat/applications/nitro/
- you won't find the store page in elementary software center
- you can link it to your Ubuntu One account by clicking "buy" in the Ubuntu software center (on a proper Ubuntu system)
- On elementary you will find it in "previously bought software" menu, there you will be able to correctly display the store page
- An error will be shown regarding the incorrectness of the OS, preventing installation.

Current workaround for games only:
- Use the Humble Bundle Download page
- Install Steam beta

SIG (s-i-g) said : #4

Thanks.